petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetBlockSize

Returns the matrix block size.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBlockSize(Mat mat,PetscInt *bs)

Not Collective Many br

### Input Parameter

mat -the matrix Many br

### Output Parameter

bs -block size Many br

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix. Many br

If the block size has not been set yet this routine returns 1. Many br

Many br

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSizes()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages